export default function debounce(fn, threshold) {
  let interval;

  return function callback() {
    clearTimeout(interval);

    interval = setTimeout(() => {
      interval = null;
      // eslint-disable-next-line
      fn(arguments);
    }, threshold);
  };
}
