export const MOCK_HOT_SEARCH = {
  hotTags: [
    { tagName: '南韓', link: 'https://news.cnyes.com/tag/南韓' },
    { tagName: '美元匯率', link: 'https://news.cnyes.com/tag/美元匯率' },
    { tagName: '被動元件', link: 'https://news.cnyes.com/tag/被動元件' },
    { tagName: '武漢肺炎', link: 'https://news.cnyes.com/tag/武漢肺炎' },
    { tagName: '防疫概念股', link: 'https://news.cnyes.com/tag/防疫概念股' },
    { tagName: '鴻海', link: 'https://news.cnyes.com/tag/鴻海' },
    { tagName: '黃金', link: 'https://news.cnyes.com/tag/黃金' },
    { tagName: '道瓊', link: 'https://news.cnyes.com/tag/道瓊' },
    { tagName: '美股', link: 'https://news.cnyes.com/tag/美股' },
    { tagName: '原油', link: 'https://news.cnyes.com/tag/原油' },
    { tagName: '油價', link: 'https://news.cnyes.com/tag/油價' },
    { tagName: '美元', link: 'https://news.cnyes.com/tag/美元' },
    { tagName: 'ETF', link: 'https://news.cnyes.com/tag/ETF' },
    { tagName: '人民幣', link: 'https://news.cnyes.com/tag/人民幣' },
    { tagName: '中國', link: 'https://news.cnyes.com/tag/中國' },
    { tagName: '復工', link: 'https://news.cnyes.com/tag/復工' },
  ],
  hotTrades: [
    { localName: '比特幣', link: 'https://crypto.cnyes.com/BTC' },
    { localName: '道瓊指數', link: '/index/DJI' },
    { localName: '以太幣', link: 'https://crypto.cnyes.com/ETH' },
  ],
  recentSearch: [{ keyword: '比特幣' }, { keyword: 's' }, { keyword: 'ETF' }, { keyword: '美元' }],
  hotDrivers: [
    {
      avatarPicture:
        'https://prod-old-driver-avatar.s3.ap-northeast-1.a….com/D0DDC9E0EDADC8DF26772CC0E0BF7D2DF51322C3.png',
      driverId: 'D0DDC9E0EDADC8DF26772CC0E0BF7D2DF51322C3',
      driverName: '布衣',
      return1year: 18.81136,
      link: 'https://invest.cnyes.com/drivers/D0DDC9E0EDADC8DF26772CC0E0BF7D2DF51322C3',
    },
    {
      avatarPicture: '',
      driverId: 'AE7AEB393E5B49D4CD7CD9B42E463E5B6C944E44',
      driverName: 'Balial',
      return1year: 16.5836,
      link: 'https://invest.cnyes.com/drivers/AE7AEB393E5B49D4CD7CD9B42E463E5B6C944E44',
    },
    {
      avatarPicture: '',
      driverId: 'BB93FA979000904FDCA71D7CC193DD9AD2A5ED7E',
      driverName: 'Ryan256',
      return1year: 13.09413,
      link: 'https://invest.cnyes.com/drivers/BB93FA979000904FDCA71D7CC193DD9AD2A5ED7E',
    },
  ],
};

export const MOCK_SEARCH_RESULT = {
  tradeResult: [
    {
      market: 'USS',
      code: 'TSM',
      type: 'COMMON',
      mtype: 'STOCK',
      symbol: 'USS:TSM:STOCK',
      chName: '<mark>台積電</mark>',
      enName: 'Taiwan Semiconductor Manufacturing Co. Ltd. Sponsored ADR',
      exchange: 'NYSE',
      link: 'https://invest.cnyes.com/usstock/detail/TSM',
    },
    {
      market: 'USS',
      code: 'TSM',
      type: 'COMMON',
      mtype: 'STOCK',
      symbol: 'USS:TSM:STOCK',
      chName: '<mark>台積</mark>',
      enName: 'Taiwan Semiconductor Manufacturing Co. Ltd. Sponsored ADR',
      exchange: 'NYSE',
      link: 'https://invest.cnyes.com/usstock/detail/TSM',
    },
  ],
  newsResult: [
    {
      newsId: 4081398,
      title: '台股盤中—電子權值股疲弱 摩台指結算前多頭力守季線',
      summary:
        '受到美股四大指數均走跌影響，台股今 (29) 日小跌開出，在蘋概三雄等電子權值股表現疲弱下，指數翻紅後受到上檔五日線與季線壓力影響，再度由紅翻黑，在平盤附近上下震盪，電子與半導體族群持續弱勢表現。',
      publishAt: 1522299062,
      link: 'https://news.cnyes.com/id/4081398',
    },
  ],
  driversResult: [
    {
      avatarPicture:
        'https://prod-old-driver-avatar.s3.ap-northeast-1.amazonaws.com/11CD8D53F9AD3722B83E4153C37546FAB6E2583F.jpg',
      driverId: '11CD8D53F9AD3722B83E4153C37546FAB6E2583F',
      driverName: '台藝<mark>電</mark>影男神經',
      return1year: -15.06878,
      link: 'https://invest.cnyes.com/drivers/11CD8D53F9AD3722B83E4153C37546FAB6E2583F',
    },
  ],
};
